# Hyperliquid Trader Technical Metrics

## `GET /internal/technical/indicator/{address}`

**Description:** Retrieve comprehensive technical indicators, performance metrics, category scores, and behavioral profiles for a specific user address.

This endpoint provides deep analytical insights into a trader’s technical behavior, market adaptability, trading style, strengths/weaknesses, and statistical performance.

***

### **Request**

**HTTP Method:** `GET`\
**Endpoint:**

```
/internal/technical/indicator/{address}
```

#### **Path Parameter**

| Name      | Type   | Description         |
| --------- | ------ | ------------------- |
| `address` | string | User wallet address |

***

### **Response**

**Content Type:** `application/json`

The response returns a `RecentTradeItem` object with multiple dimensions of technical and behavioral analysis.

***

## **Type: RecentTradeItem**

| Field                 | Type                 | Description                 |
| --------------------- | -------------------- | --------------------------- |
| `address`             | string               | User address                |
| `overall_score`       | number               | Overall composite score     |
| `category_scores`     | `CategoryScore[]`    | Score breakdown by category |
| `indicators`          | `Indicator[]`        | Detailed indicator list     |
| `profile`             | `Profile`            | Trader profile              |
| `market_adaptability` | `MarketAdaptability` | Market adaptability metrics |
| `statistics`          | `Statistics`         | Trading statistics          |
| `metadata`            | `Metadata`           | Analysis metadata           |

***

### **Type: CategoryScore**

| Field      | Type   | Description                |
| ---------- | ------ | -------------------------- |
| `category` | string | Category identifier        |
| `cname`    | string | Category name              |
| `score`    | number | Score within this category |
| `weight`   | number | Category weight            |
| `count`    | number | Number of indicators       |

***

### **Type: Indicator**

| Field         | Type   | Description                  |
| ------------- | ------ | ---------------------------- |
| `name`        | string | Indicator identifier         |
| `cname`       | string | Indicator name (CN)          |
| `category`    | string | Category to which it belongs |
| `value`       | number | Indicator value              |
| `score`       | number | Indicator score              |
| `description` | string | Indicator description        |

***

### **Type: Profile**

| Field              | Type      | Description        |
| ------------------ | --------- | ------------------ |
| `trading_style`    | string    | Trading style      |
| `risk_level`       | string    | Risk level         |
| `experience_level` | string    | Experience level   |
| `strengths`        | string\[] | List of strengths  |
| `weaknesses`       | string\[] | List of weaknesses |

***

### **Type: MarketAdaptability**

| Field             | Type   | Description                 |
| ----------------- | ------ | --------------------------- |
| `trend_following` | number | Trend-following score       |
| `bull_market`     | number | Bull-market performance     |
| `bear_market`     | number | Bear-market performance     |
| `sideways_market` | number | Sideways performance        |
| `high_volatility` | number | High-volatility performance |
| `low_volatility`  | number | Low-volatility performance  |

***

### **Type: Statistics**

| Field                | Type   | Description                      |
| -------------------- | ------ | -------------------------------- |
| `total_trades`       | number | Total number of trades           |
| `winning_trades`     | number | Trades with profit               |
| `losing_trades`      | number | Trades with loss                 |
| `total_profit`       | number | Total profit amount              |
| `total_loss`         | number | Total loss amount                |
| `net_profit`         | number | Net accumulated profit           |
| `avg_win_amount`     | number | Average profit per winning trade |
| `avg_loss_amount`    | number | Average loss per losing trade    |
| `avg_holding_period` | number | Average holding duration         |
| `max_drawdown`       | number | Maximum drawdown                 |
| `max_profit`         | number | Largest single-trade profit      |
| `max_loss`           | number | Largest single-trade loss        |

***

### **Type: Metadata**

| Field                | Type   | Description                  |
| -------------------- | ------ | ---------------------------- |
| `calculation_time`   | number | Time spent calculating       |
| `data_completeness`  | number | Data completeness score      |
| `last_trade_time`    | string | Timestamp of last trade      |
| `analysis_period`    | string | Time range analyzed          |
| `total_data_points`  | number | Total number of data points  |
| `indicator_coverage` | number | Number of indicators covered |

***

### **Functionality**

This endpoint evaluates a trader's full technical profile by analyzing:

* Strategy and style
* Risk and behavioral metrics
* Technical indicators
* Market condition performance
* Win/loss patterns
* Profitability and drawdowns
* Statistical summaries
* Metadata of model confidence

It is a powerful tool for scoring traders, building leaderboards, or generating in-depth individual analytics.

***

### **Example Request**

```
GET https://openapi.wildmeta.ai/dataprovider/v1/internal/technical/indicator/0xAbC123...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wildmeta.ai/trading-terminal/x402-support-and-extension/data-provider/hyperliquid-trader-technical-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
